Package tigase.sys

# Class TigaseRuntime

java.lang.Object
tigase.sys.TigaseRuntime

Direct Known Subclasses:
  `MonitorRuntime`

public abstract class TigaseRuntime extends Object
Created: Feb 19, 2009 12:15:02 PM

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final long`
  `HOUR`
  `protected static final long`
  `MINUTE`
  `protected static final long`
  `SECOND`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TigaseRuntime()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `addCPULoadListener(CPULoadListener cpuListener)`
  `abstract void`
  `addMemoryChangeListener(MemoryChangeListener memListener)`
  `abstract void`
  `addOnlineJidsReporter(OnlineJidsReporter onlineReporter)`
  `abstract void`
  `addShutdownHook(ShutdownHook hook)`
  `abstract JID[]`
  `getConnectionIdsForJid(JID jid)`
  `int`
  `getCPUsNumber()`
  `ResourceState`
  `getCPUState()`
  `float`
  `getCPUUsage()`
  `long`
  `getDirectMemUsed()`
  `String`
  `getGcStatistics()`
  `long`
  `getHeapMemMax()`
  We try to return OLD memory pool size as this is what is the most interesting to us.
  `float`
  `getHeapMemUsage()`
  `long`
  `getHeapMemUsed()`
  We try to return OLD memory pool size as this is what is the most interesting to us.
  `double`
  `getLoadAverage()`
  `Map<String,MemoryPoolMXBean>`
  `getMemoryPoolMXBeans()`
  `ResourceState`
  `getMemoryState()`
  `static Optional<NativeMemoryTracking>`
  `getNativeMemoryTracking()`
  Deprecated.
  `static Optional<NativeMemoryTracking>`
  `getNativeMemoryTracking(tigase.sys.NativeMemoryTracking.SCALE scale)`
  `long`
  `getNonHeapMemMax()`
  `float`
  `getNonHeapMemUsage()`
  `long`
  `getNonHeapMemUsed()`
  `String`
  `getOldGenName()`
  `MemoryPoolMXBean`
  `getOldMemPool()`
  `long`
  `getProcessCPUTime()`
  `int`
  `getThreadsNumber()`
  `static TigaseRuntime`
  `getTigaseRuntime()`
  `long`
  `getUptime()`
  `String`
  `getUptimeString()`
  `abstract boolean`
  `hasCompleteJidsInfo()`
  `abstract boolean`
  `isJidOnline(JID jid)`
  `abstract boolean`
  `isJidOnlineLocally(BareJID jid)`
  `abstract boolean`
  `isJidOnlineLocally(JID jid)`
  `static void`
  `main(String[] args)`
  `abstract void`
  `removeShutdownHook(ShutdownHook hook)`
  `void`
  `shutdownTigase(String[] msg)`
  `void`
  `shutdownTigase(String[] msg, int exitCode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SECOND

    protected static final long SECOND
    See Also:
      - Constant Field Values

  - ### MINUTE

    protected static final long MINUTE
    See Also:
      - Constant Field Values

  - ### HOUR

    protected static final long HOUR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TigaseRuntime

    protected TigaseRuntime()

- ## Method Details

  - ### getNativeMemoryTracking

    @Deprecated public static Optional<NativeMemoryTracking> getNativeMemoryTracking()
    Deprecated.

  - ### getNativeMemoryTracking

    public static Optional<NativeMemoryTracking> getNativeMemoryTracking(tigase.sys.NativeMemoryTracking.SCALE scale)

  - ### getTigaseRuntime

    public static TigaseRuntime getTigaseRuntime()

  - ### main

    public static void main(String[] args)

  - ### getMemoryPoolMXBeans

    public Map<String,MemoryPoolMXBean> getMemoryPoolMXBeans()

  - ### getOldMemPool

    public MemoryPoolMXBean getOldMemPool()

  - ### addCPULoadListener

    public abstract void addCPULoadListener(CPULoadListener cpuListener)

  - ### addMemoryChangeListener

    public abstract void addMemoryChangeListener(MemoryChangeListener memListener)

  - ### addOnlineJidsReporter

    public abstract void addOnlineJidsReporter(OnlineJidsReporter onlineReporter)

  - ### addShutdownHook

    public abstract void addShutdownHook(ShutdownHook hook)

  - ### getConnectionIdsForJid

    public abstract JID[] getConnectionIdsForJid(JID jid)

  - ### getCPUsNumber

    public int getCPUsNumber()

  - ### getCPUState

    public ResourceState getCPUState()

  - ### getCPUUsage

    public float getCPUUsage()

  - ### getDirectMemUsed

    public long getDirectMemUsed()

  - ### getGcStatistics

    public String getGcStatistics()

  - ### getHeapMemMax

    public long getHeapMemMax()
    We try to return OLD memory pool size as this is what is the most interesting to us. If this is not possible then we return total Heap size.
    Returns:
      a value of `long`

  - ### getHeapMemUsage

    public float getHeapMemUsage()

  - ### getHeapMemUsed

    public long getHeapMemUsed()
    We try to return OLD memory pool size as this is what is the most interesting to us. If this is not possible then we return total Heap used.
    Returns:
      a value of `long`

  - ### getLoadAverage

    public double getLoadAverage()

  - ### getMemoryState

    public ResourceState getMemoryState()

  - ### getNonHeapMemMax

    public long getNonHeapMemMax()

  - ### getNonHeapMemUsage

    public float getNonHeapMemUsage()

  - ### getNonHeapMemUsed

    public long getNonHeapMemUsed()

  - ### getProcessCPUTime

    public long getProcessCPUTime()

  - ### getThreadsNumber

    public int getThreadsNumber()

  - ### getUptime

    public long getUptime()

  - ### getUptimeString

    public String getUptimeString()

  - ### hasCompleteJidsInfo

    public abstract boolean hasCompleteJidsInfo()

  - ### isJidOnline

    public abstract boolean isJidOnline(JID jid)

  - ### isJidOnlineLocally

    public abstract boolean isJidOnlineLocally(BareJID jid)

  - ### isJidOnlineLocally

    public abstract boolean isJidOnlineLocally(JID jid)

  - ### removeShutdownHook

    public abstract void removeShutdownHook(ShutdownHook hook)

  - ### getOldGenName

    public String getOldGenName()

  - ### shutdownTigase

    public void shutdownTigase(String[] msg)

  - ### shutdownTigase

    public void shutdownTigase(String[] msg, int exitCode)